Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -3123,43 +3413,49 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonPushedTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonPushedTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonPushedBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonPushedBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonPushedLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonPushedTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonPushedRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonPushedBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonPushedTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonPushedTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonPushedBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonPushedBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonPushedLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonPushedTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonPushedRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonPushedBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonPushedLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonPushedTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonPushedRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonPushedBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3170,25 +3466,23 @@
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonPushedLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonPushedTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="HorzScrollbarGrip" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonPushedRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonPushedBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/HorzScrollbarGrip" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="CentreAligned" />
@@ -3199,5 +3493,5 @@
                 <Section section="normal" />
                 <Section section="gripper">
-                    <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                    <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 </Section>
             </Layer>
@@ -3207,5 +3501,5 @@
                 <Section section="hover" />
                 <Section section="gripper">
-                    <Colours topLeft="FFCFD9CF" topRight="FFF2FFF2" bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" />
+                    <Colours bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" topLeft="FFCFD9CF" topRight="FFF2FFF2" />
                 </Section>
             </Layer>
@@ -3215,56 +3509,79 @@
                 <Section section="pushed" />
                 <Section section="gripper">
-                    <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                    <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/HorizontalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/HorizontalScrollbar">
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <UnifiedDim scale="1" type="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <UnifiedDim scale="1" type="Height" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="IconImage" value="set:WindowsLook image:LargeRightArrow" />
+            <Property name="IconImage" value="WindowsLook/LargeRightArrow" />
         </Child>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-            </Area>
-            <Property name="IconImage" value="set:WindowsLook image:LargeLeftArrow" />
+        <Child nameSuffix="__auto_decbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+            </Area>
+            <Property name="IconImage" value="WindowsLook/LargeLeftArrow" />
         </Child>
-        <Child  type="WindowsLook/HorizontalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.2" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="WindowsLook/HorizontalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.2" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
@@ -3272,15 +3589,22 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="LargeLeftArrow" dimension="Height" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="LargeRightArrow" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/LargeLeftArrow" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="RightEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/LargeRightArrow" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3298,11 +3622,4 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/SliderThumb
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/SliderThumb">
         <Property name="HorzFree" value="True" />
@@ -3310,10 +3627,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="SliderThumbNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/SliderThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3323,10 +3648,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="SliderThumbHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/SliderThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3351,34 +3684,43 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Slider
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Slider">
         <Property name="HorizontalSlider" value="True" />
-        <Property name="MouseButtonDownAutoRepeat" value="True" />
+        <Property name="MouseAutoRepeatEnabled" value="True" />
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/SliderThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="WindowsLook" image="SliderThumbNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="WindowsLook" image="SliderThumbNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="WindowsLook/SliderThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="WindowsLook/SliderThumbNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="WindowsLook/SliderThumbNormal" />
+                </Dim>
             </Area>
             <VertAlignment type="CentreAligned" />
@@ -3387,38 +3729,35 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <ImageDim imageset="WindowsLook" image="SliderThumbNormal" dimension="Width">
-                            <DimOperator op="Multiply">
+                    <Dim type="LeftEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Width" name="WindowsLook/SliderThumbNormal" />
+                            <AbsoluteDim value="0.5" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="0.5" type="TopEdge" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="WindowsLook/SlidertrackMiddle" />
                                 <AbsoluteDim value="0.5" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="TopEdge" >
-                        <UnifiedDim scale="0.5" type="TopEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="SlidertrackMiddle" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <AbsoluteDim value="0.5" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1.0" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="SliderThumbNormal" dimension="Width">
-                                    <DimOperator op="Multiply">
-                                        <AbsoluteDim value="0.5" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><ImageDim imageset="WindowsLook" image="SlidertrackMiddle" dimension="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="WindowsLook" image="SliderTrackLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="SliderTrackRight" />
-                <Image type="Background" imageset="WindowsLook" image="SlidertrackMiddle" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="RightEdge" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Width" name="WindowsLook/SliderThumbNormal" />
+                                <AbsoluteDim value="0.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <ImageDim dimension="Height" name="WindowsLook/SlidertrackMiddle" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="WindowsLook/SliderTrackLeft" />
+                <Image component="RightEdge" name="WindowsLook/SliderTrackRight" />
+                <Image component="Background" name="WindowsLook/SlidertrackMiddle" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3436,56 +3775,63 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Spinner
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Spinner">
-        <Child  type="WindowsLook/Editbox" nameSuffix="__auto_editbox__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <UnifiedDim scale="0.5" type="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_editbox__" type="WindowsLook/Editbox">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <UnifiedDim scale="0.5" type="Height" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.5" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="IconImage" value="set:WindowsLook image:LargeUpArrow" />
+            <Property name="IconImage" value="WindowsLook/LargeUpArrow" />
         </Child>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><UnifiedDim scale="0.5" type="TopEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.5" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <UnifiedDim scale="0.5" type="TopEdge" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="IconImage" value="set:WindowsLook image:LargeDownArrow" />
+            <Property name="IconImage" value="WindowsLook/LargeDownArrow" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/StaticShared
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/StaticShared">
         <ImagerySection name="frame">
@@ -3505,12 +3851,12 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
                 <ColourRectProperty name="FrameColours" />
             </FrameComponent>
